#!/usr/bin/env python

from moinformat import parse
from moinformat.parsers import table
from moinformat.serialisers import serialise, HTMLSerialiser
from glob import glob
from os.path import join, split
import sys

dirname = split(sys.argv[0])[0]

formats = {
    "table" : table.TableParser,
    }

def test_input(s):
    d = parse(s, formats)
    o = serialise(d)

    print o == s
    print "-" * 60
    print o
    if o != s:
        print "-" * 60
        print s
    print "-" * 60
    print serialise(d, HTMLSerialiser)
    print "-" * 60
    print d.prettyprint()
    print

if __name__ == "__main__":
    filenames = sys.argv[1:] or glob(join(dirname, "test*.txt"))
    filenames.sort()

    for filename in filenames:
        f = open(filename)
        try:
            print filename
            test_input(f.read())
        finally:
            f.close()

# vim: tabstop=4 expandtab shiftwidth=4
